<?php

namespace Test\P1\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class Module1Transformer extends TransformerAbstract
{
    public function transform(\Test\P1\Models\Module1 $module1)
    {
        return [
            'id'                => $module1->getRouteKey(),
            'key'               => [
                'public'    => $module1->getPublicKey(),
                'route'     => $module1->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('p1/'.$module1->getPublicKey()),
                'user'      => guard_url('p1/module1/'.$module1->getRouteKey()),
            ], 
            'status'            => trans('app.'.$module1->status),
            'created_at'        => format_date($module1->created_at),
            'updated_at'        => format_date($module1->updated_at),
        ];
    }
}