<?php

namespace Test\P1\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Test\P1\Models\Module1;

class Module1Action
{
    /**
     * Perform the complete action.
     *
     * @param Module1 $module1
     *
     * @return Module1
     */
    public function complete(Module1 $module1)
    {
        try {
            $module1->status = 'complete';
            return $module1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Module1 $module1
     *
     * @return Module1
     */public function verify(Module1 $module1)
    {
        try {
            $module1->status = 'verify';
            return $module1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Module1 $module1
     *
     * @return Module1
     */public function approve(Module1 $module1)
    {
        try {
            $module1->status = 'approve';
            return $module1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Module1 $module1
     *
     * @return Module1
     */public function publish(Module1 $module1)
    {
        try {
            $module1->status = 'publish';
            return $module1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Module1 $module1
     *
     * @return Module1
     */
    public function archive(Module1 $module1)
    {
        try {
            $module1->status = 'archive';
            return $module1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Module1 $module1
     *
     * @return Module1
     */
    public function unpublish(Module1 $module1)
    {
        try {
            $module1->status = 'unpublish';
            return $module1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
