<?php

namespace Test\P1\Workflow;

use Test\P1\Models\Module1;
use Test\P1\Notifications\Module1Workflow as Module1Notifyer;
use Notification;

class Module1Notification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Module1 $module1
     *
     * @return void
     */
    public function complete(Module1 $module1)
    {
        return Notification::send($module1->user, new Module1Notifyer($module1, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Module1 $module1
     *
     * @return void
     */
    public function verify(Module1 $module1)
    {
        return Notification::send($module1->user, new Module1Notifyer($module1, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Module1 $module1
     *
     * @return void
     */
    public function approve(Module1 $module1)
    {
        return Notification::send($module1->user, new Module1Notifyer($module1, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Module1 $module1
     *
     * @return void
     */
    public function publish(Module1 $module1)
    {
        return Notification::send($module1->user, new Module1Notifyer($module1, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Module1 $module1
     *
     * @return void
     */
    public function archive(Module1 $module1)
    {
        return Notification::send($module1->user, new Module1Notifyer($module1, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Module1 $module1
     *
     * @return void
     */
    public function unpublish(Module1 $module1)
    {
        return Notification::send($module1->user, new Module1Notifyer($module1, 'unpublish'));;

    }
}
